NoticeReference (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509

## Class NoticeReference

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.NoticeReference

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class NoticeReference
      extends ASN1Object

  `NoticeReference` class, used in `CertificatePolicies` X509 V3 extensions (in policy qualifiers).

        NoticeReference ::= SEQUENCE {
            organization     DisplayText,
            noticeNumbers    SEQUENCE OF INTEGER }

  See Also:
    `PolicyQualifierInfo`, `PolicyInformation`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoticeReference(DisplayText organization, ASN1EncodableVector noticeNumbers)` Creates a new `NoticeReference` instance.
    `NoticeReference(java.lang.String organization, ASN1EncodableVector noticeNumbers)` Creates a new `NoticeReference` instance.
    `NoticeReference(java.lang.String organization, java.util.Vector numbers)` Creates a new `NoticeReference` instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NoticeReference` | `getInstance(java.lang.Object as)`
    `ASN1Integer[]` | `getNoticeNumbers()`
    `DisplayText` | `getOrganization()`
    `ASN1Primitive` | `toASN1Primitive()` Describe `toASN1Object` method here.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoticeReference

          public NoticeReference(java.lang.String organization,
                                 java.util.Vector numbers)

      Creates a new `NoticeReference` instance.
      Parameters:
        `organization` - a `String` value
        `numbers` - a `Vector` value

    - #### NoticeReference

          public NoticeReference(java.lang.String organization,
                                 ASN1EncodableVector noticeNumbers)

      Creates a new `NoticeReference` instance.
      Parameters:
        `organization` - a `String` value
        `noticeNumbers` - an `ASN1EncodableVector` value

    - #### NoticeReference

          public NoticeReference(DisplayText organization,
                                 ASN1EncodableVector noticeNumbers)

      Creates a new `NoticeReference` instance.
      Parameters:
        `organization` - displayText
        `noticeNumbers` - an `ASN1EncodableVector` value

  - ### Method Detail

    - #### getInstance

          public static NoticeReference getInstance(java.lang.Object as)

    - #### getOrganization

          public DisplayText getOrganization()

    - #### getNoticeNumbers

          public ASN1Integer[] getNoticeNumbers()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Describe `toASN1Object` method here.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a `ASN1Primitive` value